Skip to content

FURS Devices

The FURS Device object

object

Attributes

idstring
electronic_device_namestring
is_activeboolean
Other attributes
premise_idstring
starting_numberintegernullable
can_update_starting_numberboolean
created_atstring<date-time>
updated_atstring<date-time>
Examplejson
{
  "id": "device_507f1f77bcf86cd799439011",
  "premise_id": "premise_507f1f77bcf86cd799439011",
  "electronic_device_name": "POS Terminal 1",
  "is_active": true,
  "starting_number": 100,
  "can_update_starting_number": true,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Get an electronic device

GET/fiscalization/furs/devices/{id}

Retrieve details of a specific electronic device by ID.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Electronic device ID

import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.fursDevices.getFursElectronicDevice("device_507f1f77bcf86cd799439011");

console.log(response);

Returns

idstring
is_activeboolean
electronic_device_namestring
Other parameters
premise_idstring
starting_numberintegernullable
can_update_starting_numberboolean
created_atstring<date-time>
updated_atstring<date-time>
json
{
  "id": "device_507f1f77bcf86cd799439011",
  "premise_id": "premise_507f1f77bcf86cd799439011",
  "electronic_device_name": "POS Terminal 1",
  "is_active": true,
  "starting_number": 100,
  "can_update_starting_number": true,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Update an electronic device

PATCH/fiscalization/furs/devices/{id}

Update mutable FURS electronic device settings. The starting number can only be changed before invoices have been issued for the device-level sequence.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Electronic device ID

Body parameters

starting_numberintegeroptionalnullable
import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.fursDevices.update("device_507f1f77bcf86cd799439011", {
  starting_number: 250
});

console.log(response);
Example:

Returns

idstring
is_activeboolean
electronic_device_namestring
Other parameters
premise_idstring
starting_numberintegernullable
can_update_starting_numberboolean
created_atstring<date-time>
updated_atstring<date-time>
json
{
  "id": "device_507f1f77bcf86cd799439011",
  "premise_id": "premise_507f1f77bcf86cd799439011",
  "electronic_device_name": "1",
  "is_active": true,
  "starting_number": 250,
  "can_update_starting_number": true,
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-02T00:00:00.000Z"
}

List electronic devices

GET/fiscalization/furs/premises/{id}/devices

Retrieve all electronic devices (cash registers, POS terminals) registered for a business premise.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Business premise ID

import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.fursDevices.listFursElectronicDevices("premise_507f1f77bcf86cd799439011");

console.log(response);
json
[]

Register electronic device

POST/fiscalization/furs/premises/{id}/devices

Register an electronic device (cash register, POS terminal, etc.) for a business premise. Required before fiscalizing invoices from this device.

Header parameters

entity_idstringoptional

Entity ID on which the request is made. Auto-selected when only one entity exists, required when multiple entities exist.

Path parameters

idstringrequired

Business premise ID

Body parameters

namestringrequired

Electronic device name/identifier (e.g., 'E1', 'POS1', 'DEVICE1')

Other parameters
starting_numberintegeroptionalnullable
import SpaceInvoices from '@spaceinvoices/js-sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.fursDevices.registerFursElectronicDevice("premise_507f1f77bcf86cd799439011", {
  name: "DEVICE1",
  starting_number: 100
});

console.log(response);

Returns

successboolean
messagestring
device_namestring
json
{
  "success": true,
  "message": "Electronic device registered successfully",
  "device_name": "DEVICE1"
}